UnaryLogicOperatorNode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class UnaryLogicOperatorNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.UnaryLogicOperatorNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode, OperatorNode, UnaryOperatorNode

Direct Known Subclasses:
  AbstractNullnessCheckNode

    public class UnaryLogicOperatorNode

extends HqlSqlWalkerNode
implements UnaryOperatorNode

Represents a unary operator node.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`UnaryLogicOperatorNode()`

Method Summary
`Type` | `getDataType()` Retrieves the data type for the overall operator expression.
`Node` | `getOperand()` Retrievs the node representing the operator's single operand.
`void` | `initialize()` Called by the tree walker during hql-sql semantic analysis after the operator sub-tree is completely built.

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnaryLogicOperatorNode

    public UnaryLogicOperatorNode()

Method Detail

### getOperand

    public Node getOperand()

  Description copied from interface: `UnaryOperatorNode`
  Retrievs the node representing the operator's single operand.

  Specified by:
    `getOperand` in interface `UnaryOperatorNode`
  Returns:
    The operator's single operand.

### initialize

    public void initialize()

  Description copied from interface: `OperatorNode`
  Called by the tree walker during hql-sql semantic analysis after the operator sub-tree is completely built.

  Specified by:
    `initialize` in interface `OperatorNode`

### getDataType

    public Type getDataType()

  Description copied from interface: `OperatorNode`
  Retrieves the data type for the overall operator expression.

  Specified by:
    `getDataType` in interface `OperatorNode`
  Overrides:
    `getDataType` in class `SqlNode`
  Returns:
    The expression's data type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.